{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "C_IMPLANTATION"; 
            externalType = VARCHAR2; 
            name = cImplantation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_DEB_VAL"; 
            externalType = DATE; 
            name = dDebVal; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_VAL"; 
            externalType = DATE; 
            name = dFinVal; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "IMGEO_ORDRE"; 
            externalType = NUMBER; 
            name = imgeoOrdre; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LC_IMPLANTATION_GEO"; 
            externalType = VARCHAR2; 
            name = lcImplantationGeo; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LL_IMPLANTATION_GEO"; 
            externalType = VARCHAR2; 
            name = llImplantationGeo; 
            valueClassName = NSString; 
            valueType = S; 
            width = 40; 
        }
    ); 
    attributesUsedForLocking = (cImplantation, imgeoOrdre, lcImplantationGeo, llImplantationGeo); 
    className = "org.cocktail.fwkgspot.serveur.metier.eof.EOImplantationGeo"; 
    classProperties = (
        cImplantation, 
        dCreation, 
        dDebVal, 
        dFinVal, 
        dModification, 
        lcImplantationGeo, 
        llImplantationGeo, 
        toRepartBatImpGeos
    ); 
    externalName = "GRHUM.IMPLANTATION_GEO"; 
    fetchSpecificationDictionary = {}; 
    name = "FwkGspot_ImplantationGeo"; 
    primaryKeyAttributes = (imgeoOrdre); 
    relationships = (
        {
            destination = "FwkGspot_RepartBatImpGeo"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = imgeoOrdre; sourceAttribute = imgeoOrdre; }); 
            name = toRepartBatImpGeos; 
        }
    ); 
}
